Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453757 - rhn_register doesn't accept http satellite address without SSL certificate in place
Summary: rhn_register doesn't accept http satellite address without SSL certificate in...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration
Version: 510
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 12:33 UTC by Martin Sivák
Modified: 2009-02-10 18:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-10 18:33:12 UTC


Attachments (Terms of Use)

Description Martin Sivák 2008-07-02 12:33:20 UTC
Description of problem:

When trying to register new instalation of RHEL 5 Server on stage-prod.brq
internal satellite, the correct HTTP address was refused. After downloading the
RHN-ORG-TRUSTED-SSL-CERT and puting it into /usr/share/rhn, it suddenly started
to work.

Version-Release number of selected component (if applicable):
RHN Satellite version 510
Red Hat Network Client Tools 0.4.17-8.el5
 
How reproducible:
install clean RHEL5 Server
run rhn_register, try to add http://sputnik-prod/XMLRPC as RHN Satellite address 


Actual results:
Error message with "This should not happen.."

Expected results:
RHN registration completed successfully

Comment 1 Brandon Perkins 2008-12-23 16:48:29 UTC
We cannot reproduce this behavior.  Can you please send along the exact configuration files and command-line interaction that was used to get into this state?

Comment 2 Brandon Perkins 2009-02-10 18:33:12 UTC
Closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.